<%@ page language="java" session="true" isErrorPage="true" contentType="text/html;charset=ISO-8859-2" %>
<%@ page import="java.io.*"%>
<%@ page import="com.etixpert.evolution.*"%>
<%@ page pageEncoding="UTF-8"%>
<%@ include file="header.jsp" %>
<html>
<title>Untitled Document</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<link href="main.css" rel="stylesheet" type="text/css">
<SCRIPT LANGUAGE="JavaScript">
<!-- JavaScript code hiding
	function simpleLink(origLink) {
		parent.mainFrame.location = origLink;
	}

	function link(origLink){
		if (top.mainFrame.document.forms.length == 0) {
			simpleLink(origLink);
			return;
		}
		else {
			if (top.mainFrame.document.forms[0].saveState == null) {
				simpleLink(origLink); 
				return;
			}
			top.mainFrame.document.forms[0].saveState.value = top.mainFrame.self.location.pathname;
			top.mainFrame.document.forms[0].link.value = origLink;
			top.mainFrame.document.forms[0].submit();
		}
	}
// -->
</SCRIPT>
</head>
<body>
<fmt:message key="EVOLUTION_ERROR"/>:<br>
<% 
 Throwable exc = (Throwable)session.getAttribute("lastException");
%>
<%=exc.getMessage()%>
<br>
<% if (exc instanceof LoginException) {%>
<a href="login.jsp"><fmt:message key="LOGIN"/></a>
<%} else {%>
<a href="process/start.jsp"><fmt:message key="START_PAGE"/></a>
<%
	}
  session.setAttribute("lastException", null);
  
 %>
</body>
</html>